> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindgard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tests

> Lists all tests for a given project that the requesting user has at minimum read access to.



## OpenAPI

````yaml https://demo.us.mindgard.ai/api/openapi.json get /v1/beta/projects/{project_id}/tests
openapi: 3.1.0
info:
  title: Mindgard Public API
  description: This is the public API for Mindgard.
  version: 1.0.0
  contact:
    name: Mindgard Support
    email: support@mindgard.ai
servers:
  - url: https://demo.us.mindgard.ai/api
security:
  - BearerAuth: []
tags:
  - name: Projects
    x-displayName: Projects
  - name: Tests
    x-displayName: Tests
  - name: Findings
    x-displayName: Findings
  - name: Datasets
    x-displayName: Datasets
  - name: Multi-Turn Tests
    x-displayName: Multi-Turn Tests
  - name: Reconnaissance
    x-displayName: Reconnaissance
paths:
  /v1/beta/projects/{project_id}/tests:
    get:
      tags:
        - Tests
      summary: List Tests
      description: >-
        Lists all tests for a given project that the requesting user has at
        minimum read access to.
      operationId: list_tests_public_projects__project_id__tests_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiListResponse_Test_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PublicApiListResponse_Test_:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/PublicApiDataResponse_Test_'
              type: array
            - type: 'null'
          title: Data
        links:
          anyOf:
            - $ref: '#/components/schemas/PublicApiLinks'
            - type: 'null'
      type: object
      title: PublicApiListResponse[Test]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicApiDataResponse_Test_:
      properties:
        id:
          title: Id
        type:
          type: string
          title: Type
        attributes:
          anyOf:
            - $ref: '#/components/schemas/Test'
            - type: 'null'
      type: object
      required:
        - id
        - type
      title: PublicApiDataResponse[Test]
    PublicApiLinks:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - next
      title: PublicApiLinks
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Test:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        has_finished:
          type: boolean
          title: Has Finished
        total_events:
          type: integer
          title: Total Events
          default: 0
        flagged_events:
          type: integer
          title: Flagged Events
          default: 0
      type: object
      required:
        - id
        - created_at
        - has_finished
      title: Test
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````